function RtuToMqttJsonCommon()
{
  var GetMqttJsonGroupName = function(){return RtuToMqttJsonCommon.prototype._GetMqttJsonGroupName_();};
  var GetAzureName = function(){return RtuToMqttJsonCommon.prototype._GetAzureName_();};
  var GetConnectionName = function(){return RtuToMqttJsonCommon.prototype._GetConnectionName_();};
  //交集 差集
  var ArrayInteraction = function(FirstArray, SecondArray){return RtuToMqttJsonCommon.prototype._ArrayInteraction_(FirstArray, SecondArray);};
  var ArrayComplement = function(FirstArray, SecondArray){return RtuToMqttJsonCommon.prototype._ArrayComplement_(FirstArray, SecondArray);};
}










function RtuToMqttJsonUpdatePage()
{
	var SaveGlobalVariable = function(Row){RtuToMqttJsonUpdatePage.prototype._SaveGlobalVariable_(Row);};
	var IsSaveGlobalVariable = function(){return RtuToMqttJsonUpdatePage.prototype._IsSaveGlobalVariable_();};
	var ShowFirstPage = function(){RtuToMqttJsonUpdatePage.prototype._ShowFirstPage_();};
	this.Initialization = function(){RtuToMqttJsonUpdatePage.prototype._Initialization_();};
}










function RtuToMqttJsonFirstPage()
{
  this.SetConnectionName = function(that){RtuToMqttJsonFirstPage.prototype._SetConnectionName_(that);};
  this.ChangeConnectionName = function(that){RtuToMqttJsonFirstPage.prototype._ChangeConnectionName_(that);};
  var LoadConnectionName = function(){RtuToMqttJsonFirstPage.prototype._LoadConnectionName_();};
  var ApplyButton = function(index, number, Combobox){RtuToMqttJsonFirstPage.prototype._ApplyButton_(index, number, Combobox);};
  //工具列
  var UpdateTableToolbar = function(ObjectKey, DisplayNumber){RtuToMqttJsonFirstPage.prototype._UpdateTableToolbar_(ObjectKey, DisplayNumber);};
  this.ShowPreviousPage  = function(){RtuToMqttJsonFirstPage.prototype._ShowPreviousPage_();};
  this.ShowNextPage      = function(){RtuToMqttJsonFirstPage.prototype._ShowNextPage_();};
  //表格
  var ShowTable          = function(ObjectKey, DisplayNumber){RtuToMqttJsonFirstPage.prototype._ShowTable_(ObjectKey, DisplayNumber);};
  //介面
  this.RedisplayUi = function(){RtuToMqttJsonFirstPage.prototype._RedisplayUi_();};
  //取值
  var GetAllDeviceName   = function(){return RtuToMqttJsonFirstPage.prototype._GetAllDeviceName_();};
  var GetAllNumber = function(){return RtuToMqttJsonFirstPage.prototype._GetAllNumber_();};
  var GetAllModuleData = function(){return RtuToMqttJsonFirstPage.prototype._GetAllModuleData_();};
  //判斷
  var IsAllTransformMqttJson = function(){return RtuToMqttJsonFirstPage.prototype._IsAllTransformMqttJson_();};
  //初始化
  this.Initialization = function(){RtuToMqttJsonFirstPage.prototype._Initialization_();};
  //傳輸
  var TransmissionJson = function(ssocket, Command, JsonString, Callback){RtuToMqttJsonFirstPage.prototype._TransmissionJson_(ssocket, Command, JsonString, Callback);};
  var SaveFinished = function(that, ssocket){RtuToMqttJsonFirstPage.prototype._SaveFinished_(that, ssocket);};
  var SaveStart = function(that, ssocket){RtuToMqttJsonFirstPage.prototype._SaveStart_(that, ssocket);};
  //按鈕
  this.EditButton = function(that){RtuToMqttJsonFirstPage.prototype._EditButton_(that);};
  this.SaveButton = function(that){RtuToMqttJsonFirstPage.prototype._SaveButton_(that);};
  //Checkbox
  this.ChangeAllCheckbox = function(that){RtuToMqttJsonFirstPage.prototype._ChangeAllCheckbox_(that);};
  this.ChangeCheckbox = function(that){RtuToMqttJsonFirstPage.prototype._ChangeCheckbox_(that);};
}










function RtuToMqttJsonSecondPage()
{
  var LoadConnectionName = function(index, ConnectionGroup){RtuToMqttJsonSecondPage.prototype._LoadConnectionName_(index, ConnectionGroup);};
  //變數表
  var VariableTableAddNewRow       = function(number){RtuToMqttJsonSecondPage.prototype._VariableTableAddNewRow_(number);};
  var SetVariableTableNewRowValue  = function(number){RtuToMqttJsonSecondPage.prototype._SetVariableTableNewRowValue_(number);};
  var SetVariableTableInitialValue = function(number){RtuToMqttJsonSecondPage.prototype._SetVariableTableInitialValue_(number);};  
  //取值
  var GetModuleName = function(number){return RtuToMqttJsonSecondPage.prototype._GetModuleName_(number);};
  //介面
  var ClearTable = function(number){RtuToMqttJsonSecondPage.prototype._ClearTable_(number);};
  this.ConfirmButton = function(that){RtuToMqttJsonSecondPage.prototype._ConfirmButton_(that);};
  this.NoConfirmButton = function(){RtuToMqttJsonSecondPage.prototype._NoConfirmButton_();};
  this.ShowColumn = function(){RtuToMqttJsonSecondPage.prototype._ShowColumn_();};
  this.HideColumn = function(){RtuToMqttJsonSecondPage.prototype._HideColumn_();};
  //全域變數 或 物件
  var ModifyRtuToMqttJsonVariableObject= function(that){RtuToMqttJsonSecondPage.prototype._ModifyRtuToMqttJsonVariableObject_(that);};
  var SetFormInitialValue = function(number){RtuToMqttJsonSecondPage.prototype._SetFormInitialValue_(number);};
  var SetInitialValue = function(number){RtuToMqttJsonSecondPage.prototype._SetInitialValue_(number);};
  //對照
  var GetReadWriteType = function(string){return RtuToMqttJsonSecondPage.prototype._GetReadWriteType_(string);};
  //判斷
  var AllDataIsCorrect = function(){RtuToMqttJsonSecondPage.prototype._AllDataIsCorrect_();};
  //檢查
  this.CheckAlias = function(that){RtuToMqttJsonSecondPage.prototype._CheckAlias_(that);};
}